Browse Source

Updated package to use flow as dev dependency

Arnaud Vergnet 1 year ago
parent
commit
0db000f602
2 changed files with 5 additions and 1 deletions
  1. 1
    1
      babel.config.js
  2. 4
    0
      package.json

+ 1
- 1
babel.config.js View File

@@ -1,7 +1,7 @@
1 1
 module.exports = function(api) {
2 2
   api.cache(true);
3 3
   return {
4
-    presets: ['babel-preset-expo'],
4
+    presets: ['babel-preset-expo', '@babel/preset-flow'],
5 5
     env: {
6 6
       production: {
7 7
         plugins: ['react-native-paper/babel'],

+ 4
- 0
package.json View File

@@ -52,7 +52,11 @@
52 52
     "react-native-webview": "7.4.3"
53 53
   },
54 54
   "devDependencies": {
55
+    "@babel/cli": "^7.8.4",
56
+    "@babel/core": "^7.9.0",
57
+    "@babel/preset-flow": "^7.9.0",
55 58
     "babel-preset-expo": "^8.0.0",
59
+    "flow-bin": "^0.122.0",
56 60
     "jest": "^25.1.0",
57 61
     "jest-extended": "^0.11.5",
58 62
     "react-test-renderer": "^16.13.1"

Loading…
Cancel
Save